TagAttributeInfo (JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.tagext.TagAttributeInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagAttributeInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagAttributeInfo

public class TagAttributeInfo
extends java.lang.Object

Information on the attributes of a Tag, available at translation time. This class is instantiated from the Tag Library Descriptor file (TLD).

Only the information needed to generate code is included here. Other information like SCHEMA for validation belongs elsewhere.

Field Summary
`static java.lang.String` | `ID` "id" is wired in to be ID.

Constructor Summary
`TagAttributeInfo(java.lang.String name, boolean required, java.lang.String type, boolean reqTime)` Constructor for TagAttributeInfo.
`TagAttributeInfo(java.lang.String name, boolean required, java.lang.String type, boolean reqTime, boolean fragment)` JSP 2.0 Constructor for TagAttributeInfo.

Method Summary
`boolean` | `canBeRequestTime()` Whether this attribute can hold a request-time value.
`static TagAttributeInfo` | `getIdAttribute(TagAttributeInfo[] a)` Convenience static method that goes through an array of TagAttributeInfo objects and looks for "id".
`java.lang.String` | `getName()` The name of this attribute.
`java.lang.String` | `getTypeName()` The type (as a String) of this attribute.
`boolean` | `isFragment()` Whether this attribute is of type JspFragment.
`boolean` | `isRequired()` Whether this attribute is required.
`java.lang.String` | `toString()` Returns a String representation of this TagAttributeInfo, suitable for debugging purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  "id" is wired in to be ID. There is no real benefit in having it be something else IDREFs are not handled any differently.

  See Also:
    Constant Field Values

Constructor Detail

### TagAttributeInfo

    public TagAttributeInfo(java.lang.String name,
                            boolean required,
                            java.lang.String type,
                            boolean reqTime)

  Constructor for TagAttributeInfo. This class is to be instantiated only from the TagLibrary code under request from some JSP code that is parsing a TLD (Tag Library Descriptor).

Parameters:
  `name` - The name of the attribute.
  `required` - If this attribute is required in tag instances.
  `type` - The name of the type of the attribute.
  `reqTime` - Whether this attribute holds a request-time Attribute.

### TagAttributeInfo

    public TagAttributeInfo(java.lang.String name,
                            boolean required,
                            java.lang.String type,
                            boolean reqTime,
                            boolean fragment)

  JSP 2.0 Constructor for TagAttributeInfo. This class is to be instantiated only from the TagLibrary code under request from some JSP code that is parsing a TLD (Tag Library Descriptor).

Parameters:
  `name` - The name of the attribute.
  `required` - If this attribute is required in tag instances.
  `type` - The name of the type of the attribute.
  `reqTime` - Whether this attribute holds a request-time Attribute.
  `fragment` - Whether this attribute is of type JspFragment
Since:
  2.0

Method Detail

### getName

    public java.lang.String getName()

  The name of this attribute.

  Returns:
    the name of the attribute

### getTypeName

    public java.lang.String getTypeName()

  The type (as a String) of this attribute.

  Returns:
    the type of the attribute

### canBeRequestTime

    public boolean canBeRequestTime()

  Whether this attribute can hold a request-time value.

  Returns:
    if the attribute can hold a request-time value.

### isRequired

    public boolean isRequired()

  Whether this attribute is required.

  Returns:
    if the attribute is required.

### getIdAttribute

    public static TagAttributeInfo getIdAttribute(TagAttributeInfo[] a)

  Convenience static method that goes through an array of TagAttributeInfo objects and looks for "id".

  Parameters:
    `a` - An array of TagAttributeInfo
  Returns:
    The TagAttributeInfo reference with name "id"

### isFragment

    public boolean isFragment()

  Whether this attribute is of type JspFragment.

  Returns:
    if the attribute is of type JspFragment
  Since:
    2.0

### toString

    public java.lang.String toString()

  Returns a String representation of this TagAttributeInfo, suitable for debugging purposes.

  Returns:
    a String representation of this TagAttributeInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.